Skip to main content
GET
/
schedule
/
v1
/
hours-bag-rule-history
List Hours Bag Rule History
curl --request GET \
  --url https://api-{region}.sesametime.com/schedule/v1/hours-bag-rule-history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "date": "2023-12-25",
      "seconds": 1800,
      "hoursBagRule": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "variation": 1.5,
        "variationName": "Extra hour",
        "variationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "employee": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "checkSeconds": 3600,
      "checkSecondsWithVariation": 5400
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

from
string<date>

Filter date by start date

to
string<date>

Filter date by end date

hoursBagRuleIds
string<uuid>[]

Find HoursBagRuleHistory by hoursBagRule Ids

employeeIds
string<uuid>[]

Find HoursBagRuleHistory by employee Ids

limit
integer

Limit HoursBagRuleHistory

page
integer

Request a specific page

Response

200 - application/json

Array of objects

data
object[]
meta
object